running 11.1 r-code under 11.4

Posted by jmls on 25-Aug-2014 08:52

I have a customer with 11.1 r-code who wants to upgrade to 11.4, but *not* to have to recompile just yet .. 

my initial impression is that the r-code itself would be ok, but things like .net classes may present a problem, because the version of the dll is embedded into the r-code .

Am I right in thinking that the prowin32.exe.config file allows you to map a version of a dll to another ? If so, can it map between 11.1 and 11.4 infragistics controls ?

Or, can I take the 11.1 infragistis dll's , copy them to the -assemblies directory and add them to the assembly file ?

thanks

All Replies

Posted by Mike Fechner on 25-Aug-2014 08:58

2011.1 Infragistics to 2014.1 is like a decade in OpenEdge. I’d rather compile against 2011.1 to make sure you are not using Properties in your source which are not present in 2011.1

Posted by jmls on 25-Aug-2014 10:18
thanks Mike

the source apparently is 11.1 - they want to just run the 11.1 r-code
without recompiling (issues with not knowing what version of the
product they had at the time) before moving to the latest version of
the product and compiling under 11.4

On 25 August 2014 14:59, Mike Fechner
wrote:
> AW: running 11.1 r-code under 11.4
> Reply by Mike Fechner
>
> 2011.1 Infragistics to 2014.1 is like a decade in OpenEdge. I’d rather
> compile against 2011.1 to make sure you are not using Properties in your
> source which are not present in 2011.1
>
> Stop receiving emails on this subject.
>
> Flag this post as spam/abuse.



--
Julian Lyndon-Smith
IT Director,
dot.r
http://www.dotr.com
This thread is closed